## javanet.staxutils.events
Class EndDocumentEvent

    java.lang.Object
      javanet.staxutils.events.AbstractXMLEvent
          javanet.staxutils.events.EndDocumentEvent

All Implemented Interfaces:
  Serializable, Cloneable, ExtendedXMLEvent, EndDocument, XMLEvent, XMLStreamConstants

    public class EndDocumentEvent

extends AbstractXMLEvent
implements EndDocument

`EndDocument` event implementation.

Version:
  $Revision: 1.2 $
Author:
  Christian Niles
See Also:
  Serialized Form

Field Summary

Fields inherited from class javanet.staxutils.events.AbstractXMLEvent
`location, schemaType`

Fields inherited from interface javax.xml.stream.XMLStreamConstants
`ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

Constructor Summary
`EndDocumentEvent()`
`EndDocumentEvent(EndDocument that)`
`EndDocumentEvent(Location location)`
`EndDocumentEvent(Location location, QName schemaType)`

Method Summary
`int` `getEventType()` Returns `XMLStreamConstants.END_DOCUMENT`.

Methods inherited from class javanet.staxutils.events.AbstractXMLEvent
`asCharacters, asEndElement, asStartElement, clone, getLocation, getSchemaType, isAttribute, isCharacters, isEndDocument, isEndElement, isEntityReference, isNamespace, isProcessingInstruction, isStartDocument, isStartElement, matches, toString, writeAsEncodedUnicode, writeEvent`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.xml.stream.events.XMLEvent
`asCharacters, asEndElement, asStartElement, getLocation, getSchemaType, isAttribute, isCharacters, isEndDocument, isEndElement, isEntityReference, isNamespace, isProcessingInstruction, isStartDocument, isStartElement, writeAsEncodedUnicode`

Constructor Detail

### EndDocumentEvent

    public EndDocumentEvent()

### EndDocumentEvent

    public EndDocumentEvent(Location location)

### EndDocumentEvent

    public EndDocumentEvent(Location location,
                            QName schemaType)

### EndDocumentEvent

    public EndDocumentEvent(EndDocument that)

Method Detail

### getEventType

    public int getEventType()

  Returns `XMLStreamConstants.END_DOCUMENT`.

  Specified by:
    `getEventType` in interface `XMLEvent`